<?php

/**

 * aemydesign Spa Customizer Typography Control

 *

 * @package aemydesign_Spa

 */



// Exit if accessed directly

if ( ! defined( 'ABSPATH' ) ) {

	exit;

}



if( ! class_exists( 'aemydesign_Spa_Typography_Control' ) ) {

    

    class aemydesign_Spa_Typography_Control extends WP_Customize_Control{

    

    	public $tooltip = '';

    	public $js_vars = array();

    	public $output = array();

    	public $option_type = 'theme_mod';

    	public $type = 'typography';

    

    	/**

    	 * Refresh the parameters passed to the JavaScript via JSON.

    	 *

    	 * @access public

    	 * @return void

    	 */

    	public function to_json() {

    		parent::to_json();

    

    		if ( isset( $this->default ) ) {

    			$this->json['default'] = $this->default;

    		} else {

    			$this->json['default'] = $this->setting->default;

    		}

    		$this->json['js_vars'] = $this->js_vars;

    		$this->json['output']  = $this->output;

    		$this->json['value']   = $this->value();

    		$this->json['choices'] = $this->choices;

    		$this->json['link']    = $this->get_link();

    		$this->json['tooltip'] = $this->tooltip;

    		$this->json['id']      = $this->id;

    		$this->json['l10n']    = apply_filters( 'aemydesign_spa_il8n_strings', array(

    			'on'                 => esc_attr__( 'ON', 'aemydesign-spa' ),

    			'off'                => esc_attr__( 'OFF', 'aemydesign-spa' ),

    			'all'                => esc_attr__( 'All', 'aemydesign-spa' ),

    			'cyrillic'           => esc_attr__( 'Cyrillic', 'aemydesign-spa' ),

    			'cyrillic-ext'       => esc_attr__( 'Cyrillic Extended', 'aemydesign-spa' ),

    			'devanagari'         => esc_attr__( 'Devanagari', 'aemydesign-spa' ),

    			'greek'              => esc_attr__( 'Greek', 'aemydesign-spa' ),

    			'greek-ext'          => esc_attr__( 'Greek Extended', 'aemydesign-spa' ),

    			'khmer'              => esc_attr__( 'Khmer', 'aemydesign-spa' ),

    			'latin'              => esc_attr__( 'Latin', 'aemydesign-spa' ),

    			'latin-ext'          => esc_attr__( 'Latin Extended', 'aemydesign-spa' ),

    			'vietnamese'         => esc_attr__( 'Vietnamese', 'aemydesign-spa' ),

    			'hebrew'             => esc_attr__( 'Hebrew', 'aemydesign-spa' ),

    			'arabic'             => esc_attr__( 'Arabic', 'aemydesign-spa' ),

    			'bengali'            => esc_attr__( 'Bengali', 'aemydesign-spa' ),

    			'gujarati'           => esc_attr__( 'Gujarati', 'aemydesign-spa' ),

    			'tamil'              => esc_attr__( 'Tamil', 'aemydesign-spa' ),

    			'telugu'             => esc_attr__( 'Telugu', 'aemydesign-spa' ),

    			'thai'               => esc_attr__( 'Thai', 'aemydesign-spa' ),

    			'serif'              => _x( 'Serif', 'font style', 'aemydesign-spa' ),

    			'sans-serif'         => _x( 'Sans Serif', 'font style', 'aemydesign-spa' ),

    			'monospace'          => _x( 'Monospace', 'font style', 'aemydesign-spa' ),

    			'font-family'        => esc_attr__( 'Font Family', 'aemydesign-spa' ),

    			'font-size'          => esc_attr__( 'Font Size', 'aemydesign-spa' ),

    			'font-weight'        => esc_attr__( 'Font Weight', 'aemydesign-spa' ),

    			'line-height'        => esc_attr__( 'Line Height', 'aemydesign-spa' ),

    			'font-style'         => esc_attr__( 'Font Style', 'aemydesign-spa' ),

    			'letter-spacing'     => esc_attr__( 'Letter Spacing', 'aemydesign-spa' ),

    			'text-align'         => esc_attr__( 'Text Align', 'aemydesign-spa' ),

    			'text-transform'     => esc_attr__( 'Text Transform', 'aemydesign-spa' ),

    			'none'               => esc_attr__( 'None', 'aemydesign-spa' ),

    			'uppercase'          => esc_attr__( 'Uppercase', 'aemydesign-spa' ),

    			'lowercase'          => esc_attr__( 'Lowercase', 'aemydesign-spa' ),

    			'top'                => esc_attr__( 'Top', 'aemydesign-spa' ),

    			'bottom'             => esc_attr__( 'Bottom', 'aemydesign-spa' ),

    			'left'               => esc_attr__( 'Left', 'aemydesign-spa' ),

    			'right'              => esc_attr__( 'Right', 'aemydesign-spa' ),

    			'center'             => esc_attr__( 'Center', 'aemydesign-spa' ),

    			'justify'            => esc_attr__( 'Justify', 'aemydesign-spa' ),

    			'color'              => esc_attr__( 'Color', 'aemydesign-spa' ),

    			'select-font-family' => esc_attr__( 'Select a font-family', 'aemydesign-spa' ),

    			'variant'            => esc_attr__( 'Variant', 'aemydesign-spa' ),

    			'style'              => esc_attr__( 'Style', 'aemydesign-spa' ),

    			'size'               => esc_attr__( 'Size', 'aemydesign-spa' ),

    			'height'             => esc_attr__( 'Height', 'aemydesign-spa' ),

    			'spacing'            => esc_attr__( 'Spacing', 'aemydesign-spa' ),

    			'ultra-light'        => esc_attr__( 'Ultra-Light 100', 'aemydesign-spa' ),

    			'ultra-light-italic' => esc_attr__( 'Ultra-Light 100 Italic', 'aemydesign-spa' ),

    			'light'              => esc_attr__( 'Light 200', 'aemydesign-spa' ),

    			'light-italic'       => esc_attr__( 'Light 200 Italic', 'aemydesign-spa' ),

    			'book'               => esc_attr__( 'Book 300', 'aemydesign-spa' ),

    			'book-italic'        => esc_attr__( 'Book 300 Italic', 'aemydesign-spa' ),

    			'regular'            => esc_attr__( 'Normal 400', 'aemydesign-spa' ),

    			'italic'             => esc_attr__( 'Normal 400 Italic', 'aemydesign-spa' ),

    			'medium'             => esc_attr__( 'Medium 500', 'aemydesign-spa' ),

    			'medium-italic'      => esc_attr__( 'Medium 500 Italic', 'aemydesign-spa' ),

    			'semi-bold'          => esc_attr__( 'Semi-Bold 600', 'aemydesign-spa' ),

    			'semi-bold-italic'   => esc_attr__( 'Semi-Bold 600 Italic', 'aemydesign-spa' ),

    			'bold'               => esc_attr__( 'Bold 700', 'aemydesign-spa' ),

    			'bold-italic'        => esc_attr__( 'Bold 700 Italic', 'aemydesign-spa' ),

    			'extra-bold'         => esc_attr__( 'Extra-Bold 800', 'aemydesign-spa' ),

    			'extra-bold-italic'  => esc_attr__( 'Extra-Bold 800 Italic', 'aemydesign-spa' ),

    			'ultra-bold'         => esc_attr__( 'Ultra-Bold 900', 'aemydesign-spa' ),

    			'ultra-bold-italic'  => esc_attr__( 'Ultra-Bold 900 Italic', 'aemydesign-spa' ),

    			'invalid-value'      => esc_attr__( 'Invalid Value', 'aemydesign-spa' ),

    		) );

    

    		$defaults = array( 'font-family'=> false );

    

    		$this->json['default'] = wp_parse_args( $this->json['default'], $defaults );

    	}

    

    	/**

    	 * Enqueue scripts and styles.

    	 *

    	 * @access public

    	 * @return void

    	 */

    	public function enqueue() {

    		wp_enqueue_style( 'aemydesign-spa-typography', get_template_directory_uri() . '/inc/custom-controls/typography/typography.css', null );

            

            wp_enqueue_script( 'jquery-ui-core' );

    		wp_enqueue_script( 'jquery-ui-tooltip' );

    		wp_enqueue_script( 'jquery-stepper-min-js' );

    		wp_enqueue_script( 'aemydesign-spa-selectize', get_template_directory_uri() . '/inc/js/selectize.js', array( 'jquery' ), false, true );

    		wp_enqueue_script( 'aemydesign-spa-typography', get_template_directory_uri() . '/inc/custom-controls/typography/typography.js', array( 'jquery', 'aemydesign-spa-selectize' ), false, true );

    

    		$google_fonts   = aemydesign_Spa_Fonts::get_google_fonts();

    		$standard_fonts = aemydesign_Spa_Fonts::get_standard_fonts();

    		$all_variants   = aemydesign_Spa_Fonts::get_all_variants();

    

    		$standard_fonts_final = array();

    		foreach ( $standard_fonts as $key => $value ) {

    			$standard_fonts_final[] = array(

    				'family'      => $value['stack'],

    				'label'       => $value['label'],

    				'is_standard' => true,

    				'variants'    => array(

    					array(

    						'id'    => 'regular',

    						'label' => $all_variants['regular'],

    					),

    					array(

    						'id'    => 'italic',

    						'label' => $all_variants['italic'],

    					),

    					array(

    						'id'    => '700',

    						'label' => $all_variants['700'],

    					),

    					array(

    						'id'    => '700italic',

    						'label' => $all_variants['700italic'],

    					),

    				),

    			);

    		}

    

    		$google_fonts_final = array();

    

    		if ( is_array( $google_fonts ) ) {

    			foreach ( $google_fonts as $family => $args ) {

    				$label    = ( isset( $args['label'] ) ) ? $args['label'] : $family;

    				$variants = ( isset( $args['variants'] ) ) ? $args['variants'] : array( 'regular', '700' );

    

    				$available_variants = array();

    				foreach ( $variants as $variant ) {

    					if ( array_key_exists( $variant, $all_variants ) ) {

    						$available_variants[] = array( 'id' => $variant, 'label' => $all_variants[ $variant ] );

    					}

    				}

    

    				$google_fonts_final[] = array(

    					'family'   => $family,

    					'label'    => $label,

    					'variants' => $available_variants

    				);

    			}

    		}

    

    		$final = array_merge( $standard_fonts_final, $google_fonts_final );

    		wp_localize_script( 'aemydesign-spa-typography', 'all_fonts', $final );

    	}

    

    	/**

    	 * An Underscore (JS) template for this control's content (but not its container).

    	 *

    	 * Class variables for this control class are available in the `data` JS object;

    	 * export custom variables by overriding {@see WP_Customize_Control::to_json()}.

    	 *

    	 * I put this in a separate file because PhpStorm didn't like it and it fucked with my formatting.

    	 *

    	 * @see    WP_Customize_Control::print_template()

    	 *

    	 * @access protected

    	 * @return void

    	 */

    	protected function content_template(){ ?>

    		<# if ( data.tooltip ) { #>

                <a href="#" class="tooltip hint--left" data-hint="{{ data.tooltip }}"><span class='dashicons dashicons-info'></span></a>

            <# } #>

            

            <label class="customizer-text">

                <# if ( data.label ) { #>

                    <span class="customize-control-title">{{{ data.label }}}</span>

                <# } #>

                <# if ( data.description ) { #>

                    <span class="description customize-control-description">{{{ data.description }}}</span>

                <# } #>

            </label>

            

            <div class="wrapper">

                <# if ( data.default['font-family'] ) { #>

                    <# if ( '' == data.value['font-family'] ) { data.value['font-family'] = data.default['font-family']; } #>

                    <# if ( data.choices['fonts'] ) { data.fonts = data.choices['fonts']; } #>

                    <div class="font-family">

                        <h5>{{ data.l10n['font-family'] }}</h5>

                        <select id="aemydesign-spa-typography-font-family-{{{ data.id }}}" placeholder="{{ data.l10n['select-font-family'] }}"></select>

                    </div>

                    <div class="variant aemydesign-spa-variant-wrapper">

                        <h5>{{ data.l10n['style'] }}</h5>

                        <select class="variant" id="aemydesign-spa-typography-variant-{{{ data.id }}}"></select>

                    </div>

                <# } #>   

                

            </div>

            <?php

    	}   



        protected function render_content(){

        } 

    }

}