<?php

/**

 * Footer Setting

 *

 * @package aemydesign_Spa

 */



function aemydesign_spa_customize_register_footer( $wp_customize ) {

    

    $wp_customize->add_section(

        'footer_settings',

        array(

            'title'      => __( 'Footer Settings', 'aemydesign-spa' ),

            'priority'   => 199,

            'capability' => 'edit_theme_options',

        )

    );

    

    /** Footer Copyright */

    $wp_customize->add_setting(

        'footer_copyright',

        array(

            'default'           => '',

            'sanitize_callback' => 'wp_kses_post',

            'transport'         => 'postMessage'

        )

    );

    

    $wp_customize->add_control(

        'footer_copyright',

        array(

            'label'       => __( 'Footer Copyright Text', 'aemydesign-spa' ),

            'section'     => 'footer_settings',

            'type'        => 'textarea',

        )

    );

    

    $wp_customize->selective_refresh->add_partial( 'footer_copyright', array(

        'selector' => '.site-footer .footer-b .container .copyright .copyright-wrap',

        'render_callback' => 'aemydesign_spa_get_footer_copyright',

    ) );        

}

add_action( 'customize_register', 'aemydesign_spa_customize_register_footer' );