<?php

/**

 * aemydesign Spa Widget Areas

 * 

 * @link https://developer.wordpress.org/themes/functionality/sidebars/#registering-a-sidebar

 * @package aemydesign_Spa

 */



function aemydesign_spa_widgets_init(){    

    $sidebars = array(

        'sidebar'   => array(

            'name'        => __( 'Sidebar', 'aemydesign-spa' ),

            'id'          => 'sidebar', 

            'description' => __( 'Default Sidebar', 'aemydesign-spa' ),

        ),

        'service' => array(

            'name'        => __( 'Service Section', 'aemydesign-spa' ),

            'id'          => 'service', 

            'description' => __( 'Add "Text" and "aemydesign: Icon Text" widget for service section.', 'aemydesign-spa' ),

        ),

        'about' => array(

            'name'        => __( 'About Section', 'aemydesign-spa' ),

            'id'          => 'about', 

            'description' => __( 'Add "aemydesign: Featured Page Widget" for about section.', 'aemydesign-spa' ),

        ),

        'service-two' => array(

            'name'        => __( 'Service Two Section', 'aemydesign-spa' ),

            'id'          => 'service-two', 

            'description' => __( 'Add "Image" and "aemydesign: Icon Text" widget for service section.', 'aemydesign-spa' ),

        ),

        'cta-two' => array(

            'name'        => __( 'Call To Action Section', 'aemydesign-spa' ),

            'id'          => 'cta-two', 

            'description' => __( 'Add "aemydesign: Call To Action" widget for Call to Action section.', 'aemydesign-spa' ),

        ),

        'team' => array(

            'name'        => __( 'Team Section', 'aemydesign-spa' ),

            'id'          => 'team', 

            'description' => __( 'Add "aemydesign: Team Member" widget for team section.', 'aemydesign-spa' ),

        ),

        'testimonial' => array(

            'name'        => __( 'Testimonial Section', 'aemydesign-spa' ),

            'id'          => 'testimonial', 

            'description' => __( 'Add "aemydesign: Testimonial" widget for testimonial section.', 'aemydesign-spa' ),

        ),

        'footer-one'=> array(

            'name'        => __( 'Footer One', 'aemydesign-spa' ),

            'id'          => 'footer-one', 

            'description' => __( 'Add footer one widgets here.', 'aemydesign-spa' ),

        ),

        'footer-two'=> array(

            'name'        => __( 'Footer Two', 'aemydesign-spa' ),

            'id'          => 'footer-two', 

            'description' => __( 'Add footer two widgets here.', 'aemydesign-spa' ),

        ),

        'footer-three'=> array(

            'name'        => __( 'Footer Three', 'aemydesign-spa' ),

            'id'          => 'footer-three', 

            'description' => __( 'Add footer three widgets here.', 'aemydesign-spa' ),

        ),

        'footer-four'=> array(

            'name'        => __( 'Footer Four', 'aemydesign-spa' ),

            'id'          => 'footer-four', 

            'description' => __( 'Add footer four widgets here.', 'aemydesign-spa' ),

        )

    );

    

    foreach( $sidebars as $sidebar ){

        register_sidebar( array(

    		'name'          => esc_html( $sidebar['name'] ),

    		'id'            => esc_attr( $sidebar['id'] ),

    		'description'   => esc_html( $sidebar['description'] ),

    		'before_widget' => '<section id="%1$s" class="widget %2$s">',

    		'after_widget'  => '</section>',

    		'before_title'  => '<h2 class="widget-title" itemprop="name">',

    		'after_title'   => '</h2>',

    	) );

    }



}

add_action( 'widgets_init', 'aemydesign_spa_widgets_init' );